# PIntArray Class Reference

Array of integers. More...

`#include <array.h>`

Inheritance diagram for PIntArray:

List of all members.

## Public Member Functions

Construction
| PIntArray (PINDEX initialSize=0)
| Construct a new dynamic array of ints.
| PIntArray (int const *buffer, PINDEX length, PBoolean dynamic=true)
| Construct a new dynamic array of ints.

## Detailed Description

Array of integers.

## Constructor & Destructor Documentation

PIntArray::PIntArray | ( | PINDEX | initialSize = `0` | ) |

Construct a new dynamic array of ints.

The array is initialised to all zeros.

Parameters:

  initialSize | Initial number of elements in the array.

PIntArray::PIntArray | ( | int const * | buffer,
|  | PINDEX | length,
|  | PBoolean | dynamic = `true` |
| ) |  |  |

Construct a new dynamic array of ints.

Parameters:

  buffer | Pointer to an array of ints.
  length | Number of elements pointed to by `buffer`.
  dynamic | Buffer is copied and dynamically allocated.

The documentation for this class was generated from the following file:

- array.h